Skip to main content
GET
/
v1
/
agents
/
{id}
Get agent by ID
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "agentId": "<string>",
  "did": "<string>",
  "developerId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "scopes": [
    "<string>"
  ],
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Path Parameters

id
string
required

Agent ID

Response

Agent details

agentId
string
did
string
developerId
string
name
string
description
string
scopes
string[]
status
enum<string>
Available options:
active,
suspended,
revoked
createdAt
string<date-time>
updatedAt
string<date-time>